Name:           tla
Version:        1.3.4
Release:        4%{?dist}
Summary:        GNU arch revision control system

Group:          Development/Tools
License:        GPL
URL:            http://www.gnu.org/software/gnu-arch/
Source0:        http://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz
Source1:        http://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz.sig
# Patch0 from SuSE 9.1's tla-1.2-15
Patch0:         %{name}-1.2pre0-posix.patch
# Patch1 and Source2 from Debian's 1.3.3-3, the latter updated for 1.3.4.
Patch1:         %{name}-1.3.3-sysneon.patch
Patch2:         %{name}-remove-invariant.patch
Source2:        %{name}-generate-manpage.pl

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  neon-devel, which
Requires:       tar, diffutils, patch

%description
GNU arch is a revision control system, similar in purpose to tools
such as CVS, SCCS, and Subversion.  It is used to keep track of the
changes made to a source tree and to help programmers combine and
otherwise manipulate changes made by multiple people or at different
times.  GNU arch has some features that make it particularly useful
for public free software projects: it's easy to learn; it's
inexpensive and easy to administer; it's a distributed system so
there's no need to give write permission to every project participant;
it has excellent support for the kinds of branching and merging that
can make a free software project team shine.

%prep
%setup -q
cd src
%patch0 -p0
cd ..
rm -rf src/libneon
rm -rf src/expat
%patch1 -p1
%patch2 -p1

%build
mkdir src/=build
cd src/=build
../configure \
  --prefix=%{_prefix} --with-install-link-tools=yes --with-cc=%{__cc}
make CFLAGS="$RPM_OPT_FLAGS $(neon-config --cflags)" # %{?_smp_mflags} # 1.[23] is not parallel build clean

# put the documentation in a reasonable spot and only include html/css files
mkdir -p docs-tla/html
(cd ../docs-tla; find .  -name \*.css -o -name \*.html | xargs tar -cf- ) | \
(cd docs-tla/html; tar -xf-)
cd ../..

mkdir -p debian/tmp
PATH="`pwd`/src/=build/tla/tla:$PATH" perl %{SOURCE2} tla.1

%install
rm -rf $RPM_BUILD_ROOT
make -C src/=build install \
    destdir=$RPM_BUILD_ROOT CFLAGS="$RPM_OPT_FLAGS $(neon-config --cflags)"
install -Dpm 644 debian/tmp/tla.1 $RPM_BUILD_ROOT%{_mandir}/man1/tla.1

%check
make -C src/=build test CFLAGS="$RPM_OPT_FLAGS $(neon-config --cflags)"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc src/COPYING src/tla/ChangeLog src/=build/docs-tla/html/
%{_bindir}/make-links
%{_bindir}/remove-links
%{_bindir}/tla
%{_mandir}/man1/tla.1*

%changelog
* Fri Mar 17 2006 Josh Boyer <jwboyer at jdub.homelinux.org> - 1.3.4-4
- Add patch to remove failing invariant (bug 182742)

* Fri Mar  3 2006 Josh Boyer <jwboyer at jdub.homelinux.org> - 1.3.4-3
- Remove ppc alignment patch now that glibc is fixed

* Mon Feb 27 2006 Josh Boyer <jwboyer at jdub.homelinux.org> - 1.3.4-2
- Add patch to allow building on PPC for now

* Fri Feb 24 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.3.4-1
- 1.3.4, most of Debian patch applied upstream.
- Update summary and description.

* Fri Feb 24 2006 Josh Boyer <jwboyer at jdub.homelinux.org> - 1.3.3-6
- Add excludearch for ppc due to bug 182742

* Wed Feb 22 2006 Josh Boyer <jwboyer at jdub.homelinux.org> - 1.3.3-5
- Bump and rebuild for FE5

* Wed Feb  1 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.3.3-4
- Rebuild for new neon.

* Wed Dec 14 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.3.3-3
- Apply 1.3.3-3 patchset from Debian; includes system neon patch, adds
  man page and hopefully fixes ppc segfaults etc.
- Specfile cleanups.

* Tue Dec 13 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.3.3-2
- Rebuild against new OpenSSL.

* Mon Jun 13 2005 Shahms E. King <shahms@shahms.com> - 1.3.3-1
- Update to new upstream version

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.3.2
- rebuild on all arches

* Mon May 09 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.2-5
- Remove hard-coded disttag

* Wed May 04 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.2-4
- Update disttag to new recommendations

* Tue May 03 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.2-3
- Add disttag
- Fix documentation packaging

* Tue May 03 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.2-2
- Increment release for devel

* Tue May 03 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.2-1
- Update to upstream 1.3.2
- Update sysneon patch
- Remove gcc4 patch as it was moved upstream
- Remove broken texinfo patches
- Remove non-existant texinfo documentation
- Fix building and installing HTML documentation

* Fri Apr 22 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.1-5.fix.1
- Increment EVR for devel package

* Mon Mar 28 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.1-4.fix.1
- Update to 1.3.1-fix-1 (hopefully fix PPC segfault)

* Wed Mar 23 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.1-3
- gcc4 build fixes

* Tue Mar 22 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.1-2
- Add BuildRequires which to fix building under mach

* Mon Mar 21 2005 Shahms E. King <shahms@shahms.com> - 0:1.3.1-1
- Update to 1.3.1.

* Sun Jan 30 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3-1
- Update to 1.3.

* Sun Sep 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.1-0.fdr.1
- Update to 1.2.1.

* Wed Jul 28 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.3
- Apply patches and ideas from ALT Linux's tla-1.2-alt6 and SuSE's tla-1.2-15:
  Use system libneon, fix for sftp fd leak, install info documentation.
- Run test suite during build.
- Install more documentation.

* Fri Jul 23 2004 Michel Salim <michel.salim[AT]gmail.com> - 0:1.2-0.fdr.2
- Temporarily disable parallel build on SMP systems; Makefile not SMP-safe.
  Please report if situation changes

* Fri Jun 18 2004 Kristof Vansant <de_lupus@pandora.be> - 0:1.2-0.fdr.1
- Updated to 1.2

* Sun Feb 08 2004 Michel Alexandre Salim <salimma[AT]users.sf.net> - 0:1.1-0.fdr.1
- Initial RPM release.

